<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/relative_parent_pinless"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorBgWhiteGray"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/linear_layout_pinless"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:text="@string/phone_number"
                android:textSize="@dimen/small_text_size" />

            <RelativeLayout
                android:id="@+id/view_phone_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp">

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/edit_text_top_up_phone_number"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/button_height"
                    android:layout_marginTop="@dimen/margin_1x_size"
                    android:background="@drawable/bg_edit_text_no_stroke"
                    android:hint="@string/phone_number"
                    android:maxLength="15"
                    android:paddingStart="@dimen/margin_2x_size"
                    android:paddingEnd="@dimen/margin_2x_size"
                    android:singleLine="true"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/default_edittext_size" />
            </RelativeLayout>

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="20dp"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:layout_marginEnd="20dp"
                android:alpha="0.7"
                android:text="@string/change_phone_number"
                android:textSize="@dimen/small_text_size" />

        </LinearLayout>

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="@dimen/margin_3x_size"
            android:layout_marginEnd="20dp"
            android:text="@string/amount_pin_less"
            android:textSize="@dimen/small_text_size" />

        <RelativeLayout
            android:id="@+id/view_amount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="@dimen/margin_1x_size"
            android:layout_marginEnd="20dp"
            android:background="@drawable/bg_edit_text_no_stroke"
            android:paddingStart="10dp"
            android:paddingEnd="10dp">

            <com.seatel.mobilehall.util.customview.PrefixEditText
                android:id="@+id/edit_text_amount"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:background="@null"
                android:hint="0"
                android:maxLength="6"
                android:singleLine="true"
                android:textColor="@android:color/black"
                android:textSize="@dimen/default_edittext_size" />

        </RelativeLayout>

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/margin_1x_size"
            android:text="@string/receive_14_digits"
            android:textSize="@dimen/small_text_size"
            android:visibility="gone" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/linear_layout_pinless"
        android:layout_marginStart="5dp"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:layout_marginEnd="5dp"
        android:orientation="vertical">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Choose the top up a mount" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerTopUpAmount"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/margin_2x_size"

            />


    </LinearLayout>


    <LinearLayout
        android:id="@+id/linear_layout_top_up_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:clickable="true"
        android:focusable="true"
        android:gravity="bottom"
        android:orientation="vertical"
        >

        <include
            android:visibility="gone"
            android:id="@+id/view_radio"
            layout="@layout/view_radio_button_top_up" />

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/button_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/button_height"
            android:layout_gravity="center"
            android:layout_marginStart="20dp"
            android:layout_marginTop="@dimen/margin_1x_size"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="15dp"
            android:background="@drawable/bg_button_primary"
            android:gravity="center"
            android:text="@string/yes"
            android:textColor="@android:color/white"
            android:textSize="@dimen/default_text_size" />

        <com.seatel.mobilehall.util.customview.CustomKeyboard
            android:id="@+id/keyboard_view_top_up"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:paddingStart="18dp"
            android:paddingEnd="18dp"
            android:visibility="gone"
            app:keyBackground="@drawable/bg_button_white" />

    </LinearLayout>

</RelativeLayout>